/**
* Program:
* Description: This script will Delete Empty Space Between Events In Selected Tracks
* Author: Philip
*
* Date: August 31, 2003
*
* --------------------------
* Modified by Radomir Rytych
* Date: November 24, 2013
* Script will delete space only if events and tracks are in selection and move it to start of selection
* Note: It ignores groups, so use it carefully.

**/

import Sony.Vegas;
import System.Windows.Forms;
import Microsoft.Win32;

try
{
	var selEnd = Vegas.SelectionStart+Vegas.SelectionLength;
	for (var track in Vegas.Project.Tracks) {
		if (!track.Selected) continue;
		var tracktime = new Timecode(Vegas.SelectionStart);
		for (var evnt in track.Events) {
				if (evnt.Start<tracktime) continue;
				if (evnt.Start>selEnd) break;
			evnt.Start = tracktime;
			evnt.Offset = evnt.ActiveTake.Offset
			tracktime += evnt.Length;
		}
	}
}
catch (errorMsg)
{
MessageBox.Show(errorMsg, "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
}